repo/gentoo:master commit in: sys-cluster/flux/

"Kenton Groombridge" <[email protected]> Tue, 04 Aug 2026 03:32:09 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785814228.8fa9aacae23a4544a958b82f1cdaf31fdf10f535.concord@gentoo>
commit:     8fa9aacae23a4544a958b82f1cdaf31fdf10f535
Author:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 02:46:17 2026 +0000
Commit:     Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 03:30:28 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8fa9aaca

sys-cluster/flux: add 2.9.3

Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>

 sys-cluster/flux/Manifest          |  3 +++
 sys-cluster/flux/flux-2.9.3.ebuild | 43 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sys-cluster/flux/Manifest b/sys-cluster/flux/Manifest
index 9b0a85850f27..4c89f378ce1a 100644
--- a/sys-cluster/flux/Manifest
+++ b/sys-cluster/flux/Manifest
@@ -1,3 +1,6 @@
 DIST flux2-2.8.3-deps.tar.xz 347342588 BLAKE2B 6b41fa1a3c1fc2bca8fbc8fe9603cf9ab29b87375c49cbb0ed07d69a5550e6ffa52fdb1fb6c469a506bb0a478ca47f83c041f531d17a10b8c946d826d6dcec59 SHA512 324a6bbdb872cb52e27257ef74834f8f8af00e29b9087e6d53c7bcf59677ccbdda6c732073f71ae0395fa24f7bce2cbb0a1aaf10252fe02965809546d23febab
 DIST flux2-2.8.3-manifests.tar.gz 45870 BLAKE2B aeaa1c009e66a10b2f6fad0bb3a12e79d4be0a8ef0432dac6c8eea6443cdf2b83b79271a474dca5b52ecfcec0a514b15014eca84bafd90f7961f5cb50ed187c7 SHA512 c581e4b4cc933d007f0cda5bb1aedeb16e2e8d1cde961450ac847d97c3fde7467ceda15e9fa727ea9de8a28fa6d5e2530c5e2cea69e336f06c6e0edecee2c8ae
 DIST flux2-2.8.3.tar.gz 1373935 BLAKE2B cec81914a86c079dbb9c03f45a57d8cf76a9261f902000f783acf57c862206a788d6cd61f395fd0357560dd4034791c0bc957824040c782e9597200bbdf3f35a SHA512 9c881ec22b7e0596697b1576ed24bb279166df9621f54f21d1d04904bcd44e49c9f31897e170feabb870a2f6ba65dec7fbf501b1a00b3bda07694332962b4c49
+DIST flux2-2.9.3-deps.tar.xz 349067144 BLAKE2B 2b05d90264dab313f35775366a8d4ac2da6263046c3d23eda256f42782c3380cf44271a27333d1c85435da3633c843c70b29e52cc54561ce51e46dbb289a4e4e SHA512 269b18468e003256c188d41ad2a49afafdc2e6124f25265b25539f04d4579ebd42b5c7a9b59dbd16abca60eeb2d760c013261f283797c8d25a57cb4cc844731c
+DIST flux2-2.9.3-manifests.tar.gz 47857 BLAKE2B 0b2f6b95a0d882cead2fe6e8bf747d9141b8e28408e3d5c713da3b7e7c35727d19b58cc20f2232978f745a8f95c1ef7344cf311ceb51f47f3e2e73b2a6f48e48 SHA512 62d4a7fd02e358e13e92febf8128fee201ecb09614471ccf05f153b2cb80cdba405ad584f76891d7b3a8506dcd987cd0e02da4d718b32bcda94191b799e9ae53
+DIST flux2-2.9.3.tar.gz 1432856 BLAKE2B 30d24cbe57591c65bd9fe82b0d350b45123fcbb87105a299591a9f5240c21f7d3a012d648a64f3b49c19371dfafee0085069a8b0fc2b89c567948cc3e621700d SHA512 83857665bdffced6b101f9332ce06aeb2c7a533343a4f62cc48a1fe23532bc98986e9bb849b58ec92ffe9908fbce76966667d96284a9195b9e8dfca112b7412a

diff --git a/sys-cluster/flux/flux-2.9.3.ebuild b/sys-cluster/flux/flux-2.9.3.ebuild
new file mode 100644
index 000000000000..6b13a73b693f
--- /dev/null
+++ b/sys-cluster/flux/flux-2.9.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module shell-completion
+
+MY_PN="flux2"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Flux is a tool for keeping Kubernetes clusters in sync"
+HOMEPAGE="https://fluxcd.io https://github.com/fluxcd/flux2"
+SRC_URI="https://github.com/fluxcd/${MY_PN}/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+SRC_URI+=" https://github.com/fluxcd/${MY_PN}/releases/download/v${PV}/manifests.tar.gz -> ${MY_P}-manifests.tar.gz"
+SRC_URI+=" https://distfiles.gentoo.org/pub/dev/[email protected]/${MY_P}-deps.tar.xz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND=">=dev-lang/go-1.26.0:="
+
+RESTRICT+=" test"
+
+QA_PRESTRIPPED="usr/bin/flux"
+
+src_unpack() {
+	default
+	mkdir -p "${S}/cmd/${PN}/manifests" || die
+	mv "${WORKDIR}"/*.yaml "${S}/cmd/${PN}/manifests" || die
+}
+
+src_compile() {
+	ego build -ldflags="-s -w -X main.VERSION=${PV}" -o ./bin/${PN} ./cmd/${PN}
+}
+
+src_install() {
+	dobin bin/${PN}
+	bin/${PN} completion bash > ${PN}.bash || die
+	bin/${PN} completion zsh > ${PN}.zsh || die
+	newbashcomp ${PN}.bash ${PN}
+	newzshcomp ${PN}.zsh _${PN}
+}